<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ReconstructedParticleObj.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ReconstructedParticleObj.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_reconstructed_particle_obj_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_obj_8h.html">eicd/ReconstructedParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_8h.html">eicd/ReconstructedParticle.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_const_8h.html">eicd/VertexConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">    8</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">ReconstructedParticleObj::ReconstructedParticleObj</a>() :</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>(),</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a>(<span class="keyword">nullptr</span>),</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">m_clusters</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCluster&gt;()),</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a05143a3f8fb65c608fb77ade57498b9b">m_tracks</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstTrack&gt;()),</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#ad35e9b2c591b2460b6e8c7e02c55366b">m_particles</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstReconstructedParticle&gt;())</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{  }</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_obj.html#a3b06b660efe46005878bd8774a72c443">   17</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">ReconstructedParticleObj::ReconstructedParticleObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>) :</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  ObjBase{id, 0}, <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>(<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>)</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{  }</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_obj.html#a2c45dafd549d9ed23b95313e2dd5f3a6">   21</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">ReconstructedParticleObj::ReconstructedParticleObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a>&amp; other) :</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>(other.data),</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a>(<span class="keyword">nullptr</span>),</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">m_clusters</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstCluster&gt;(*(other.m_clusters))),</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a05143a3f8fb65c608fb77ade57498b9b">m_tracks</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstTrack&gt;(*(other.m_tracks))),</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#ad35e9b2c591b2460b6e8c7e02c55366b">m_particles</a>(<span class="keyword">new</span> std::vector&lt;::eic::ConstReconstructedParticle&gt;(*(other.m_particles)))</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keywordflow">if</span> (other.m_vertex) {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a> = new ::eic::ConstVertex(*(other.m_vertex));</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  }</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_obj.html#af2762732fd129cc09a709c47252cbeb2">   34</a></span>&#160;<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#af2762732fd129cc09a709c47252cbeb2">ReconstructedParticleObj::~ReconstructedParticleObj</a>() {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">m_clusters</a>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a05143a3f8fb65c608fb77ade57498b9b">m_tracks</a>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#ad35e9b2c591b2460b6e8c7e02c55366b">m_particles</a>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  }</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <span class="keywordflow">if</span> (<a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a>) <span class="keyword">delete</span> <a class="code" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_ad35e9b2c591b2460b6e8c7e02c55366b"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#ad35e9b2c591b2460b6e8c7e02c55366b">eic::ReconstructedParticleObj::m_particles</a></div><div class="ttdeci">std::vector&lt;::eic::ConstReconstructedParticle &gt; * m_particles</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00042">ReconstructedParticleObj.h:42</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html">eic::ReconstructedParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00026">ReconstructedParticleObj.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_aa93636c5a85aafcb6902ef07e5139f7e"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">eic::ReconstructedParticleObj::m_clusters</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt; * m_clusters</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00040">ReconstructedParticleObj.h:40</a></div></div>
<div class="ttc" id="_vertex_const_8h_html"><div class="ttname"><a href="_vertex_const_8h.html">VertexConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_a6890d77502cc6232d337fa8ce6a60e1a"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">eic::ReconstructedParticleObj::m_vertex</a></div><div class="ttdeci">::eic::ConstVertex * m_vertex</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00039">ReconstructedParticleObj.h:39</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_a05143a3f8fb65c608fb77ade57498b9b"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#a05143a3f8fb65c608fb77ade57498b9b">eic::ReconstructedParticleObj::m_tracks</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrack &gt; * m_tracks</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00041">ReconstructedParticleObj.h:41</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_af2762732fd129cc09a709c47252cbeb2"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#af2762732fd129cc09a709c47252cbeb2">eic::ReconstructedParticleObj::~ReconstructedParticleObj</a></div><div class="ttdeci">virtual ~ReconstructedParticleObj()</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8cc_source.html#l00034">ReconstructedParticleObj.cc:34</a></div></div>
<div class="ttc" id="_reconstructed_particle_obj_8h_html"><div class="ttname"><a href="_reconstructed_particle_obj_8h.html">ReconstructedParticleObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_afb13aadde47cc1d1fdba7beb201d679c"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">eic::ReconstructedParticleObj::data</a></div><div class="ttdeci">ReconstructedParticleData data</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8h_source.html#l00038">ReconstructedParticleObj.h:38</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html">eic::ReconstructedParticleData</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00015">ReconstructedParticleData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_obj_html_a4f63f87dba9fc580ce1dbdea7362745c"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">eic::ReconstructedParticleObj::ReconstructedParticleObj</a></div><div class="ttdeci">ReconstructedParticleObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj.cc:8</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="_reconstructed_particle_8h_html"><div class="ttname"><a href="_reconstructed_particle_8h.html">ReconstructedParticle.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
